導航:首頁 > 編程語言 > pythoncp27

pythoncp27

發布時間:2022-09-27 09:22:29

㈠ 如何在python中安裝一個package

1. 安裝 package
打開cmd窗口命令
直接輸入pip,你會看到所有相關pip的命令。放心,常用的沒有那麼多。


安裝package的命令: pip install 包名。

比如,我要裝pandas,就輸入 pip install pandas


因為這個包我已經安裝過了。顯示出的是Requirement already satisfied. 如果是第一次安裝,並成功的話,會顯示Successfully installed.

如果最後出現的是紅字,恭喜你。。。。。安裝失敗了。。。。

這個時候怎麼辦。。。。請仔細閱讀最後那段紅字,那往往是你失敗的原因,常見的情況如下:

1) 你缺少依賴包,就是這個包安裝之前可能需要其他的包。

2) 你缺少windows的某些組件,比如visio studio等

3) 顯示下載失敗。

如果是第三種,那你可以考慮先去相關的網站手動下載後綴名是.whl的package文件。

例如:


提醒,下載的時候還要看下package對應的python版本和windows版本。

然後,還是進入cmd命令窗口。

找到這個下載文件的目錄,比如,我就直接在E:\

進入E:\後,輸入 pip install 文件全名(包括後綴名.whl)

如:pip install bsddb3-6.2.5-cp27-cp27m-win_amd64.whl



2. 升級package。

有時因為anaconda自帶的package太舊了,又或者時代更新太快。總之,無論如何,你就是想更新你的package.

在任意文件路徑下,輸入: pip install update 包名

如: pip install update pandas


成功後,會出現 Successfully installed.

如果失敗了,請參照,
1. 安裝packge 里失敗的情況,嘗試解決。

3. 刪除package

輸入 pip uninstall 包名,如: pip uninstall pandas


刪除的過程中,會讓你二次確認,只有你再二次確認中,輸入y,才能成功刪除。

4. 查看package的

pip show 包名,如 pip show pandas


要看更詳細的信息,比如這個包,支持python的哪些版本,2.7還是3.X。

pip show 包名 -v, 如 pip show pandas -v


5. pip的更新

還記得開頭說過,pip本身也是個包嗎?他是專門用來安裝工具的工具,所以它也有需要升級的時候,而升級它的時候就是用它本身。

pip install update pip

㈡ 安裝pygame後為啥現實找不到這個模塊

其實我們要用到的,還是pip,如果安裝了python3,默認是有pip的,沒有的話,建議去網路軟體下載個python3
打開命令提示符,輸入pip -V查看pip版本號,也只要是為了pip是否正常。
先嘗試安裝pygame測試下能否正常安裝。
pip install pygame
可以看到,安裝失敗,如果小夥伴這步安裝成功的話,就可以跳過以下所有步驟了,不過據小編所知,pip是不可能裝上python的
pip沒法安裝pygame,沒關系,我們安裝wheel
pip install wheel
由於小編這里已經下好了,所以沒有一個下載和安裝的過程,不過pip是一定可以安裝好wheel的
接下來,我們要做的就是,到圖中的網站上去下載pygame的whl文件。
由於python的庫實在是太多了,我們按下ctrl + f進行查找,
然後找到對應(或最接近)python版本號點擊開始下載即可,例如cp27表示的是python2.7
win32和amd64就是python的位數(不是操作系統的位數,我們可以進入pythonshell看到python位數,以及導入sys模塊,列印sys.version變數得到python的位數)
下載好之後,我們使用wheel對下載好的whl文件進行安裝。
下載好之後,我們使用wheel對下載好的whl文件進行安裝。
例如把pygame的whl文件放在C盤,我們直接wheel install 路徑即可
此時,我們import pygame導入模塊,沒有報錯。
OK,我們已經成功安裝了pygame。
如何查看pygame的版本呢?沒錯,我們pygame由pip管理,所以,我們直接pip list | find "pygame"即可看到
好了,我們可以開始我們的2D游戲之路了。

㈢ ImportError:DLL load failed:找不到指定的模塊怎麼辦

解決方案:https://blog.csdn.net/qiongyugaohan/article/details/89516476,絕對可行!

㈣ 如何在Win7中安裝Python的.whl擴展包

你好,
方法/步驟

1、如果你在Python安裝目錄下Scripts子目錄下沒有找到pip.exe程序,則需要先安裝pip.
下載httpsbootstrap.pypa.io/get-pip.py文件
然後在命令提示符中輸入命令安裝pip:
python get-pip.py

2、pip安裝好之後,進入python的安裝目錄下Scripts子目錄,此處是C:\Python27\Scripts

3、輸入命令安裝指定的.whl包:
pip install C:\Pillow-3.3.1-cp27-cp27m-win32.whl

㈤ 安裝pygame失敗,怎麼辦

如果安裝了python3,默認是有pip的,沒有的話,建議去網路軟體下載個python3打開命令提示符,輸入pip -V查看pip版本號,也只要是為了pip是否正常先嘗試安裝pygame測試下能否正常安裝pip install pygame可以看到安裝失敗這步安裝成功的話,就可以跳過以下所有步驟了,不過據小編所知,pip是不可能裝上python的pip沒法安裝pygame沒關系安裝wheel
pip install wheel所以沒有一個下載和安裝的過程,不過pip是一定可以安裝好wheel的接下來要做的就是,到圖中的網站上去下載pygame的whl文件。由於python的庫實在是太多了按下ctrl + f進行查找不同瀏覽器顯示的不同,不過快捷鍵應該都是一樣的然後找到對應或最接近python版本號點擊開始下載即可,例如cp27表示的是python2.7win32和amd64就是python的位數不是操作系統的位數可以進入pythonshell看到python位數,以及導入sys模塊,列印sys.version變數得到python的位數下載好之後使用wheel對下載好的whl文件進行安裝把pygame的whl文件放在C盤直接wheel install 路徑即可此時import pygame導入模塊,沒有報錯已經成功安裝了pygame如何查看pygame的版本呢沒錯pygame由pip管理,所以直接pip list | find pygame即可看到

㈥ python cp27什麼意思

下載pytorch安裝包時常會發現有相同版本的安裝包有cp27m和cp27mu兩種,其中cp27m是ucs2,cp27mu是ucs4。UCS2規定每個字元佔用2個位元組,UCS4規定每個位元組佔用4個字元,都是UNICODE的編碼形式。

Python 的設計具有很強的可讀性,相比其他語言經常使用英文關鍵字,其他語言的一些標點符號,它具有比其他語言更有特色語法結構。

(6)pythoncp27擴展閱讀

在開始使用之前,計算機需要Python,但可能不需要下載。首先檢查(在同級目錄下在命令行窗口輸入python)有沒有安裝Python。如果看到了一個Python解釋器的響應,那麼就能在它的顯示窗口中得到一個版本號。通常的版本都可以做到Python的向前兼容。

如果需要安裝不妨下載最近穩定的版本,就是以沒有被標記作為alpha或Beta發行的最高的版本。目前最穩定的版本是Python3.0以上如果使用的操作系統是Windows:當前最穩定的Windows版本下載是"Python 3.9.0 for Windows"。

㈦ python安裝 wxpython 選擇版本

cp27就是python2.7,cp35就是python3.5,類推。win32就是windows32位系統,amd64就是windows64位系統,macosx大概是mac系統(我沒用過mac)。知道這些應該就可以了。

㈧ python2.7怎麼安裝scipy

去官網發現安裝scipy前需要numpy+mkl

SciPyis software for mathematics, science, and engineering.
Requiresnumpy+mkl.
Installnumpy+mklbefore installing scipy

1.下載Numpy

在http://www.lfd.uci.e/~gohlke/pythonlibs/#numpy中下載對應版本win_amd64(win64)、cp27(python2.7)安裝

2.安裝wheel

因為後綴名是.whl,所以要先安裝wheel

[html]view plain

㈨ python 數據分析 用什麼軟體

1.安裝Jupyter notebook(或者安裝pycharm直接下載安裝皆可,linux和windows同樣適用)
#如果是ubuntu16.04 默認已經安裝了python2和python3
#需要另行安裝pip,python2的pip安裝
sudo apt-get python-pip

#如果安裝python3的pip
sudo apt-get python3-pip
12345671234567
#安裝開發工具Jupyter notebook
sudo pip3 install jupyter1212

注意,只能安裝一個jupyter notebook,默認只能包含一個內核,如python3或者python2,請根據自己開發需求。
特殊需求:
需要python3和python2共存的,請看我另幾篇文章。Windows下Python多版本共存

2.在線安裝(windows/linux)主要的數據分析工具(輪子)

注意:Ubuntn中,默認的pip 是指python2的,pip3才是python3的,如果安裝python3的輪子,請將pip替換成pip3,反之亦然。
數據分析(為了避免依賴沖突,請按順序安裝)
sudo pip3 install numpy
sudo pip3 install pandas
#安裝matplotlib需要先安裝libpng和freetype
sudo apt-get install libpng-dev
#如果不知到需要下載工具的全稱,可以用來查找需要工具的關鍵詞sudo apt search freetype
sudo apt-get install libfreetype6-dev
sudo pip3 install matplotlib
sudo pip3 install scipy
#文本處理工具
sudo pip3 install gensim
#機器學習
sudo pip3 install scikit-

安裝完成某個輪子之後,應該是這樣的

以此方法安裝,隨著知識領域的擴展和經驗的增加,我們會發現更多更有趣的輪子。

查看已經安裝的輪子
pip3 list11

3.離線安裝(windows/linux)數據分析工具(輪子)

直接在上述網址下載對應的.whl(雖然本網址http://www.lfd.uci.e/~gohlke/pythonlibs/只有win的= =,但是方法適合任何平台,離線包可以去官網下載,如https://pypi.python.org/pypi/scipy/)
pip3 install 下載的本地路徑/numpy-1.11.1+mkl-cp35-cp35m-win_amd64.whl
pip3 install 下載的本地路徑/numpy-1.11.1-cp27-cp27mu-manylinux1_x86_64.whl

4.主要的大數據分析輪子介紹

博主比較懶,已經存在的介紹就不贅述了,直接上送包下載地址,且該地址對包有了大意的介紹。

閱讀全文

與pythoncp27相關的資料

熱點內容
程序員用得到數字區嗎 瀏覽:174
python求商 瀏覽:477
ipad能用c語言編譯器嗎 瀏覽:561
軟泥解壓球最新版 瀏覽:998
4萬程序員辭職創業 瀏覽:759
thinkingphp 瀏覽:597
安卓相冊移動文件夾 瀏覽:6
耳朵清潔解壓聲控99的人都睡得著 瀏覽:205
叉車出租網站源碼 瀏覽:874
共享單車的app是什麼 瀏覽:408
不帶gui的伺服器什麼意思 瀏覽:373
金剛經及PDF 瀏覽:102
php中冒號 瀏覽:358
php5432 瀏覽:352
命令在哪使用 瀏覽:172
php獲取網頁元素 瀏覽:708
為什麼需要硬體驅動編譯 瀏覽:885
pm編程怎樣看導柱孔對不對稱 瀏覽:138
農業大學選課找不到伺服器怎麼辦 瀏覽:660
路由配置網關命令 瀏覽:935